.state[data-value="UNKNOWN"] {
  stroke: white;
  fill: rgb(128, 128, 128) !important;
  color: white;
  background: rgb(128, 128, 128);
}

.state[data-value="INIT"] {
  fill: rgb(204, 204, 122);
  background: rgb(204, 204, 122);
}

.state[data-value="DISABLE"] {
  fill: rgb(255, 0, 255);
  background: rgb(255, 0, 255);
}

.state[data-value="STANDBY"] {
  fill: rgb(255, 255, 0);
  background: rgb(255, 255, 0);
}

.state[data-value="ON"],
.state[data-value="OPEN"],
.state[data-value="EXTRACT"] {
  stroke: rgb(0, 0, 0);
  fill: #00ff00;
  color: rgb(0, 255, 0);
  background: rgb(0, 255, 0);
}

.state[data-value="OFF"],
.state[data-value="CLOSE"],
.state[data-value="INSERT"] {
  stroke: grey;
  fill: white;
  color: grey;
  background: white;
}

.state[data-value="FAULT"] {
  stroke: white;
  fill: red !important;
  color: white;
  background: red;
}

.state[data-value="RUNNING"],
.state[data-value="MOVING"] {
  fill: rgb(128, 160, 255);
  background: rgb(128, 160, 255);
}

.state[data-value="ALARM"] {
  stroke: white;
  fill: rgb(255, 140, 0);
  color: white;
  background: rgb(255, 140, 0);
}

.boolean[data-value="true"]:not(text) {
  fill: #0f0;
  background: #0f0;
}

.boolean[data-value="false"]:not(text) {
  fill: red;
  background: red;
}

[data-quality="ATTR_INVALID"] {
  text-decoration: line-through !important;
}

[data-quality="ATTR_INVALID"]:not(text) {
  fill: grey !important;
}

[data-quality="ATTR_MOVING"] {
  text-decoration: overline !important;
}

@keyframes alarmBlink {
  from {
    fill: red;
  }

  to {
    fill: black;
  }
}

@-webkit-keyframes alarmBlink {
  from {
    fill: red !important;
  }

  to {
    fill: black !important;
  }
}

[data-quality="ATTR_ALARM"] {
  text-decoration: blink overline;
  animation-duration: 1s;
  -webkit-animation-duration: 1s;
  animation-name: alarmBlink;
  -webkit-animation-name: alarmBlink;
  animation-iteration-count: infinite;
  -webkit-animation-iteration-count: infinite;
}

@keyframes warningBlink {
  from {
    fill: yellow;
  }
  to {
    fill: inherit;
  }
}

@-webkit-keyframes warningBlink {
  from {
    fill: yellow !important;
  }
  to {
    fill: inherit !important;
  }
}

[data-quality="ATTR_WARNING"] {
  text-decoration: underline;
  animation-duration: 3s;
  -webkit-animation-duration: 3s;
  animation-name: warningBlink;
  -webkit-animation-name: warningBlink;
  animation-iteration-count: infinite;
  -webkit-animation-iteration-count: infinite;
}
